package spm

import (
	"os"
)

func GetTempDownloadDir() string {
	dir, err := os.MkdirTemp("", "spm_downloads")
	if err != nil {
		panic(err)
	}
	return dir
}

func SetDownloadFolder(customDir string) (string, error) {
	if err := os.MkdirAll(customDir, os.ModePerm); err != nil {
		return "", err
	}
	return customDir, nil
}
